Bug 151162 - Logging into freemail.hu causes infinite reloading of the pages
Summary: Logging into freemail.hu causes infinite reloading of the pages
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-21 23:43 UTC by András Manţia
Modified: 2008-04-05 17:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description András Manţia 2007-10-21 23:43:20 UTC
Version:           3.94.1 (using KDE Devel)
OS:                Linux

This is the KDE4 variant of bugs 106748 and 144071. 
Go to http://freemail.hu, log in with "konqueroruser", password "kubuntu" . After some page loading the login screen comes back (hm, another bug). Type the same user/pass again. If it asks for a cookie, accept it. From now on Konqueror will load some (5?) pages over and over until you close that window. 
Now close it and open a new window/tab and go again to freemail.hu. The same crazy loading starts again. The only solution is to close the page and remove the cookie that you've accepted at the login screen.
Comment 1 Maksim Orlovich 2007-10-22 02:22:57 UTC
We have some problems w/forms in trunk at the moment, which I need some help from David with. Might be the cause -- stay tuned.
Comment 2 Maksim Orlovich 2007-10-22 22:00:42 UTC
With major form problems fixed up, it now loops back to the login page only.. So no weird loop, but still buggy
Comment 3 Maksim Orlovich 2007-10-22 22:02:13 UTC
Actually, never mind --- it does the loop dance when I permit cross-site cookies. Ugh, these sorts of things are a major pain to debug
Comment 4 Maksim Orlovich 2007-10-22 22:55:23 UTC
SVN commit 728265 by orlovich:

Unbreak the setting of cookies via the DOM. The d-bus 
inteface (called below) expects a QByteArray, not a QString
Makes us get through login on freemail.hu

CCBUG: 151162


 M  +1 -1      html_documentimpl.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=728265
Comment 5 Maksim Orlovich 2007-10-22 23:04:52 UTC
Thanks for the report, just fixed a -major- bug because of it. Now one can login, but it does yet-another reload dance with the UI, I think. Kinda hard to say will all the debug output going around.

Note: might need to remove the t-online.hu cookie to get through.
Comment 6 András Manţia 2007-10-22 23:44:03 UTC
Great (that a major bug was fixed). Let's hope you can find the cause of 
the current reloading issue. :)
Comment 7 Maksim Orlovich 2007-10-23 00:14:17 UTC
Next time I tried it actually didn't reload, but looked super-ugly, due to the extra-scrollbars bug. I can't comment more since I can't exactly figure out what the text is saying.
Comment 8 András Manţia 2007-10-23 11:21:00 UTC
I tried now, and login works OK. The page is unusable though, but that 
was also the case with 3.5.x. I will update the bug report referring to 
that issue.
Comment 9 András Manţia 2008-04-05 17:37:38 UTC
Let's close the bug, as logging itself works.